* {
    padding: 0;
    margin: 0;
}

html,
body {
    display: flex;
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
    background: hsl(340, 57%, 78%);
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

.main {
    background: palevioletred;
    padding: 30px 40px;
    display: flex;
    flex-direction: column;
    border-radius: 20px;
    width: 24em;
    /* max-width: 90%; */
    box-sizing: border-box;
    text-align: center;
}

.main>h1 {
    margin: 20px 0 30px;
    font-size: 1.8rem;
    font-weight: 800;
}

.mainContent {
    display: flex;
    flex-direction: column;
    margin-top: 10px;
}

.dialog {
    display: flex;
    flex-direction: column;
    font-size: 1.2em;
    font-weight: 600;
    padding: 0 1px;
    width: 100%;
    /* margin: px 0; */
    /* background-color: blue; */
    font-family: 'Trebuchet MS', sans-serif;
}

.dialog span {
    margin: 5px 0;
    background: hsl(340, 57%, 84%);
    padding: 12px 0;
    border-radius: 40px;
    /* text-align: center; */
    cursor: pointer;
    width: 100%;
    transition: box-shadow 300ms ease, background 300ms ease, transform 300ms ease;
}

.dialog span:hover {
    background: hsl(340, 57%, 74%);
    box-shadow: 3px 3px 3px hsl(340, 57%, 24%);
    transition: box-shadow 500ms ease, background 500ms ease, transform 500ms ease;
    transform: scale(1.01);
}

.dialog label {
    margin-top: 10px;
    font-weight: 900;
}

.dialog input {
    height: 30px;
    margin: 5px 0 15px;
    padding: 10px 10px;
    border-radius: 5px;
    outline: none;
    border: none;
    background: hsl(340, 57%, 84%);
    transition: box-shadow 1000ms ease, background 1000ms ease, transform 1000ms ease;

    /* font-weight: 600; */
}

.dialog input:focus {
    background: hsl(340, 57%, 74%);
    box-shadow: 3px 3px 3px hsl(340, 57%, 24%);
    /* border: 1px solid hsl(340, 57%, 34%); */
    transition: box-shadow 500ms ease, background 500ms ease, transform 500ms ease;
    transform: scale(1.01);
}

.dialog input::placeholder {
    color: hsl(0, 0%, 20%);

}

.dialog .button {
    display: flex;
    justify-content: space-evenly;
    margin-top: 10px;
    /* padding: 0 30px; */
}

.dialog .button button {
    padding: 7px 20px;
    outline: none;
    border: none;
    border-radius: 20px;
    font-family: 'Trebuchet MS', sans-serif;
    background: hsl(340, 57%, 84%);
}

button {
    cursor: pointer;
    /* transition: transform 300ms ease; */
    transition: box-shadow 300ms ease, background 300ms ease, transform 300ms ease;
}

.button button:hover {
    background: hsl(340, 57%, 74%);
    box-shadow: 3px 3px 3px hsl(340, 57%, 24%);
    transition: box-shadow 500ms ease, background 500ms ease, transform 500ms ease;
    transform: scale(1.1);
    /* transition: transform 500ms ease; */
}

.dialog p {
    background: hsl(340, 57%, 74%);
    border-radius: 5px;
    font-size: 0.65em;
    padding: 10px 0;
    margin: 5px 0;
    transition: transform 500ms linear;
}

.searchList p:hover {
    background: hsl(340, 57%, 84%);
    transform: scale(1.03);
    transition: transform 300ms ease;
}

.searchList p:active {
    background: hsl(340, 57%, 54%);
}

#viewContact {
    display: none;
}

#addContact {
    display: none;
}

#editContact {
    display: none;
}

#deleteContact {
    display: none;
}

#viewContactContent {
    min-height: 200px;
}

@media (max-width: 500px) {
    .main {
        width: 20em;
        max-width: 90%;
    }

    .main>h1 {
        font-size: 1.4em;
    }

    .dialog {
        font-size: 1em;
    }

    .dialog p {
        font-size: 0.8em;
    }
}